Package org.optaplanner.core.config.heuristic.selector.common.decorator

## Enum SelectionSorterOrder

- java.lang.Object
- - java.lang.Enum<SelectionSorterOrder>
  - - org.optaplanner.core.config.heuristic.selector.common.decorator.SelectionSorterOrder

- All Implemented Interfaces:
    `Serializable`, `Comparable<SelectionSorterOrder>`

      public enum SelectionSorterOrder
      extends Enum<SelectionSorterOrder>

  See Also:
    `SelectionSorter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ASCENDING` | For example: 0, 1, 2, 3.
    `DESCENDING` | For example: 3, 2, 1, 0.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SelectionSorterOrder` | `resolve​(SelectionSorterOrder sorterOrder)` |
    `static SelectionSorterOrder` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SelectionSorterOrder[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCENDING

          public static final SelectionSorterOrder ASCENDING

      For example: 0, 1, 2, 3.

    - #### DESCENDING

          public static final SelectionSorterOrder DESCENDING

      For example: 3, 2, 1, 0.

  - ### Method Detail

    - #### values

          public static SelectionSorterOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionSorterOrder c : SelectionSorterOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionSorterOrder valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### resolve

          public static SelectionSorterOrder resolve​(SelectionSorterOrder sorterOrder)